Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.crmf
Class PKMACValue

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.crmf.PKMACValue

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class PKMACValue
extends ASN1Object

Password-based MAC value for use with POPOSigningKeyInput.

Constructor Summary
`PKMACValue(AlgorithmIdentifier aid, DERBitString value)` Creates a new PKMACValue.
`PKMACValue(PBMParameter params, DERBitString value)` Creates a new PKMACValue.

Method Summary
`AlgorithmIdentifier` | `getAlgId()`
`static PKMACValue` | `getInstance(ASN1TaggedObject obj, boolean isExplicit)`
`static PKMACValue` | `getInstance(java.lang.Object o)`
`ASN1BitString` | `getValue()`
`ASN1Primitive` | `toASN1Primitive()` PKMACValue ::= SEQUENCE { algId AlgorithmIdentifier, -- algorithm value shall be PasswordBasedMac 1.2.840.113533.7.66.13 -- parameter value is PBMParameter value BIT STRING }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKMACValue

    public PKMACValue(PBMParameter params,
                      DERBitString value)

  Creates a new PKMACValue.

Parameters:
  `params` - parameters for password-based MAC
  `value` - MAC of the DER-encoded SubjectPublicKeyInfo

### PKMACValue

    public PKMACValue(AlgorithmIdentifier aid,
                      DERBitString value)

  Creates a new PKMACValue.

Parameters:
  `aid` - CMPObjectIdentifiers.passwordBasedMAC, with PBMParameter
  `value` - MAC of the DER-encoded SubjectPublicKeyInfo

Method Detail

### getInstance

    public static PKMACValue getInstance(java.lang.Object o)

### getInstance

    public static PKMACValue getInstance(ASN1TaggedObject obj,
                                         boolean isExplicit)

### getAlgId

    public AlgorithmIdentifier getAlgId()

### getValue

    public ASN1BitString getValue()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  PKMACValue ::= SEQUENCE { algId AlgorithmIdentifier, -- algorithm value shall be PasswordBasedMac 1.2.840.113533.7.66.13 -- parameter value is PBMParameter value BIT STRING }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a basic ASN.1 object representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD